<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
// 購入商品の合計金額
String price = "10";
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>決済方法選択</title>
<link href="./css/style.css" rel="stylesheet" type="text/css">
</head>

<%
request.getContextPath();
%>
<body>
<img alt='Paymentロゴ' src='./WEB-IMG/VeriTrans_Payment.png'><hr/>
<table border="0">
  <tr>
    <td>接続先</td>
    <td>：</td>
    <td><%= Utils.getHostName(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) %></td>
  </tr>
  <tr>
    <td>接続モード</td>
    <td>：</td>
    <td><%= Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")) %></td>
  </tr>
</table><hr/>
<div class="system-message">
<font size="2">
本プログラムはVeriTrans4Gをご利用して頂くためのサンプルプログラムです。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
尚、本サンプルプログラムはVeriTrans4Gと連動させるための基本的な処理手順を示したものになりますので、<br/>
導入の際においては開発ガイドも合わせてご参照して頂いたうえ、お客様ECサイトに適した形式にカスタマイズしてください。<br/>
</font>
</div>

<div class="lhtitle">購入商品</div>
<table>
<tr>
<td width="150" valign="top" class="imgItemFrm"><img src="./WEB-IMG/VeriTrans_TestProduct.png" width="150" height="150"/></td>
<td valign="top">
<table class="MsoTableMediumShading1Accent5" border="1" cellspacing="0" cellpadding="0" style="margin-left:20pt;">
  <tr>
    <td width="120" valign="top" class="hPayItem itemrbn"><strong>商品番号</strong></td>
    <td width="150" valign="top" class="hPayItem itemrbn"><strong>商品名</strong></td>
    <td width="60" valign="top" class="hPayItem itemrbn"><strong>数量</strong></td>
    <td width="90" valign="top" class="hPayItem"><strong>金額</strong></td>
  </tr>
  <tr>
    <td valign="top" class="payItem itemrbn">4G-S-001</td>
    <td valign="top" class="payItem itemrbn">サンプル商品</td>
    <td valign="top" class="payItem itemrbn" style="text-align:right;">1</td>
    <td valign="top" class="payItem" style="text-align:right;">10 円</td>
  </tr>
  <tr>
    <td valign="top" colspan="3" class="fPayItem itemrbn"><strong>合計金額</strong></td>
    <td valign="top" class="fPayItem" style="text-align:right;"><strong><%=price%></strong> 円</td>
  </tr>
</table>
</td>
</tr>
</table>
<div style="font-size:80%">（注）画像はイメージです。</div>
<br/><br/>
<div class="lhtitle">決済方法選択</div>
下記から決済方法を選択してください。
<form method="POST" action="./PaymentMethodSelect">
<input type="hidden" name="price" value="<%=price%>" />
<ul style="list-style:none">
  <li><input type="radio" name="method" value="card" checked/>クレジットカード</li>
  <li><input type="radio" name="method" value="mpi"/>クレジットカード（本人認証あり）</li>
  <li><input type="radio" name="method" value="cvs"/>コンビニエンスストア</li>
  <li><input type="radio" name="method" value="em"/>電子マネー</li>
  <li><input type="radio" name="method" value="bank"/>銀行</li>
  <li><input type="radio" name="method" value="paypal"/>PayPal</li>
  <li><input type="radio" name="method" value="saison"/>永久不滅ポイント(永久不滅ウォレット)</li>
  <li><input type="radio" name="method" value="upop" />銀聯ネット決済(UPOP)</li>
  <li><input type="radio" name="method" value="alipay" />Alipay</li>
  <li><input type="radio" name="method" value="carrier" />キャリア決済</li>
  <li><input type="radio" name="method" value="oricosc" />ショッピングクレジット</li>
  <li><input type="radio" name="method" value="rakuten" />楽天ID決済</li>
  <li><input type="radio" name="method" value="recruit" />リクルートかんたん支払い</li>
  <li><input type="radio" name="method" value="linepay" />LINE Pay</li>
  <li><input type="radio" name="method" value="masterpass"/>MasterPass</li>
  <li><input type="radio" name="method" value="virtualacc"/>銀行振込決済</li>
  <li><input type="radio" name="method" value="paypay"/>PayPay</li>
  <li><input type="radio" name="method" value="amazonpay"/>Amazon Pay</li>
</ul>
<input type="submit" value="決済手続きへ"/>
</form>
<hr/>
<ul class="flinkmenu">
  <li><a href="./AdminMenu.jsp">管理者向けメニューサンプルはこちら</a></li>
  <li><a href="./PayNowIdMenu.jsp">PayNowIDメニューサンプルはこちら</a></li>
</ul>
<hr/>
<img alt='VeriTransロゴ' src='./WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
