package jp.veritrans.tercerog.sample.web.carrier;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.sample.web.carrier.base.AbstractTerminateExec;

/**
 * PC用 キャリア決済 継続課金終了請求処理クラス。
 */
public class TerminateExec extends AbstractTerminateExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./TerminateExec.jsp";
    }

    protected String getTerminateJsp() {
        return "./Terminate.jsp";
    }

    protected void setCharacterEncoding(final HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("UTF-8");
    }

}
