package jp.veritrans.tercerog.sample.web.carrier.mb;

import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.sample.web.carrier.base.AbstractAuthorizeExec;

/**
 * モバイル用 キャリア決済処理クラス。
 */
public class AuthorizeExec extends AbstractAuthorizeExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./AuthorizeExec.jsp";
    }

    protected String getAuthorizeJsp() {
        return "./Authorize.jsp";
    }

    protected void setCharacterEncoding(final HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("Shift_JIS");
    }

}
