package jp.veritrans.tercerog.sample.web.oricosc;

import java.io.UnsupportedEncodingException;
import java.util.ResourceBundle;
import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.sample.web.oricosc.base.AbstractAuthorizeExec;


/**
 * PC用 ショッピングクレジット決済処理クラス。
 */
public class AuthorizeExec extends AbstractAuthorizeExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./Authorize.jsp";
    }

    protected String getJspResult() {
        return "./Result.jsp";
    }

    protected String getMerchantRedirectionUrl() {
        // プロパティから
        ResourceBundle rb = ResourceBundle.getBundle("oricosc");
        String merchantRedirectionUrl = rb.getString("merchant_redirection_url.PC");
        return merchantRedirectionUrl;
    }

    protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("UTF-8");
    }

}
