<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>
<%@ page import ="org.apache.commons.lang.StringUtils"%>

<%
    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String) request.getAttribute("warning"));
    boolean warningFlag = false;
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
        warningFlag = true;
    }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>決済情報確認ページ</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
  <img src="../WEB-IMG/VeriTrans_Payment.png">
  <hr />
  <div class="system-message">
    <font size="2">
      本画面はVeriTrans4G Amazon Payの取引サンプル画面です。<br />
      お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
    </font>
  </div>

  <%=warning%>

  <div class="lhtitle">Amazon Pay与信：決済情報確認</div>
  <% if (!warningFlag) { %>
  <table border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td class="rititletop">名前（配送先）</td>
      <td class="rivaluetop"><%=Utils.out(request.getAttribute("shippingName"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">郵便番号</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingPostalCode"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先住所1</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingAddress1"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先住所2</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingAddress2"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">配送先住所3</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingAddress3"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">電話番号</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingPhone"))%><br />
      </td>
    </tr>
  </table>

  <div>
    <button type="button" class="change_btn" id="AddressChange">お届け先修正</button>
  </div>
  <br />

    <table border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td class="rititletop">AmazonID</td>
      <td class="rivaluetop"><%=Utils.out(request.getAttribute("buyerId"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">名前（購入者）</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("buyerName"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">請求先住所1</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("billingAddress1"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">請求先住所2</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("billingAddress2"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">請求先住所3</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("billingAddress3"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">メールアドレス</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("buyerEmail"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">お支払い方法</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("paymentPreferences"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">取引金額</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("amount"))%><br />
      </td>
    </tr>
    <tr>
      <td class="rititle">送料</td>
      <td class="rivalue"><%=Utils.out(request.getAttribute("shippingAmount"))%><br />
      </td>
    </tr>
  </table>

  <div>
    <button type="button" class="change_btn" id="PaymentChange">支払い方法修正</button>
  </div>
  <br />


  <form name="FORM_AmazonPay" method="post" action="./AuthorizeConfirmExec">
    <input type="submit" value="購入する">
  </form>
  <br />
  <a href="../PaymentMethodSelect.jsp">キャンセル</a>
  &nbsp;&nbsp;
  
  <% } %>

  <hr />
  <img src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

  <script type="text/javascript" src="https://static-na.payments-amazon.com/checkout.js"></script>
  <script type="text/javascript">
    amazon.Pay.bindChangeAction('#AddressChange', {
      amazonCheckoutSessionId: '<%=Utils.out(request.getAttribute("checkoutSessionId"))%>',
      changeAction: 'changeAddress'
    });

    amazon.Pay.bindChangeAction('#PaymentChange', {
      amazonCheckoutSessionId: '<%=Utils.out(request.getAttribute("checkoutSessionId"))%>',
      changeAction: 'changePayment'
    });
  </script>

</body>
</html>
