<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String serviceOptionType_atm = "";
  String serviceOptionType_netbank_pc = "";
  String serviceOptionType_netbank_docomo = "";
  String serviceOptionType_netbank_softbank = "";
  String serviceOptionType_netbank_au = "";
  if ("atm".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_atm = " selected"; }
  if ("netbank-pc".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_netbank_pc = " selected"; }
  if ("netbank-docomo".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_netbank_docomo = " selected"; }
  if ("netbank-softbank".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_netbank_softbank = " selected"; }
  if ("netbank-au".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_netbank_au = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 銀行決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function reDrawing(frm, action) {
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }
    </script>
<img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 銀行決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">銀行決済：決済請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_BANK" method="post" action="./AuthorizeExec">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"><input type="button" value="取引ID更新" onclick="reDrawing(FORM_BANK, './Authorize');"></td>
</tr>
<tr>
  <td class="ititle">決済サービスオプション</td>
  <td class="ivalue">
  <select name="serviceOptionType">
    <option value="atm"<%= Utils.out(serviceOptionType_atm) %>>ATM決済</option>
    <option value="netbank-pc"<%= Utils.out(serviceOptionType_netbank_pc) %>>ネットバンク決済 (PC)</option>
    <option value="netbank-docomo"<%= Utils.out(serviceOptionType_netbank_docomo) %>>ネットバンク決済 (docomo)</option>
    <option value="netbank-softbank"<%= Utils.out(serviceOptionType_netbank_softbank) %>>ネットバンク決済 (SoftBank)</option>
    <option value="netbank-au"<%= Utils.out(serviceOptionType_netbank_au) %>>ネットバンク決済 (au)</option>
  </select>
  </td>
</tr>
  <tr>
    <td class="ititle">決済金額</td>
    <td class="ivalue"><input type="text" maxlength="10" size="11" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
  </tr>
  <tr>
    <td class="ititle">姓</td>
    <td class="ivalue"><input type="text" maxlength="20" size="21" name="name1" value="<%= Utils.out(request.getParameter("name1")) %>"></td>
  </tr>
  <tr>
    <td class="ititle">名&nbsp;&nbsp;<font size="1" color="red">※任意項目</font></td>
    <td class="ivalue"><input type="text" maxlength="20" size="21" name="name2" value="<%= Utils.out(request.getParameter("name2")) %>"></td>
  </tr>
  <tr>
    <td class="ititle">カナ（姓）</td>
    <td class="ivalue"><input type="text" maxlength="20" size="21" name="kana1" value="<%= Utils.out(request.getParameter("kana1")) %>"></td>
  </tr>
  <tr>
    <td class="ititle">カナ（名）&nbsp;&nbsp;<font size="1" color="red">※任意項目</font></td>
    <td class="ivalue"><input type="text" maxlength="20" size="21" name="kana2" value="<%= Utils.out(request.getParameter("kana2")) %>"></td>
  </tr>
  <tr>
    <td class="ititle">支払期限</td>
    <td class="ivalue"><input type="text" maxlength="8" size="9" name="payLimit" value="<%= Utils.out(request.getParameter("payLimit")) %>">&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDD</font></td>
  </tr>
  <tr>
    <td class="ititle">プッシュURL</td>
    <td class="ivalue">
        <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(request.getParameter("pushUrl")) %>"><br/>
        <span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
    </td>
  </tr>
  <tr><td colspan="2"><font size="2">※請求内容は、インフォメーションとしてATMなどに表示されます。</font></td></tr>
  <tr>
    <td class="ititletop">請求内容（漢字）</td>
    <td class="ivaluetop"><input type="text" maxlength="24" size="25" name="contents" value="<%= Utils.out(request.getParameter("contents")) %>"></td>
  </tr>
   <tr>
    <td class="ititle">請求内容（カナ）</td>
    <td class="ivalue"><input type="text" maxlength="48" size="60" name="contentsKana" value="<%= Utils.out(request.getParameter("contentsKana")) %>"></td>
  </tr>
  <tr><td colspan="2">&nbsp;</td></tr>
  <tr>
    <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
  </tr>
</form>
</table>
<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
