<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  String admin = Utils.out((String) request.getAttribute("Admin"));
  if (Utils.isNull(admin)) {
      admin = "false";
  }
  String force = admin;

  // carrier.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("carrier",objLcl);

  String successUrl = request.getParameter("successUrl");
  if (admin.equals("false") &&
        (successUrl == null || successUrl.isEmpty())) {
    successUrl = rb.getString("successUrl");
  }
  String cancelUrl = request.getParameter("cancelUrl");
  if (admin.equals("false") &&
        (cancelUrl == null || cancelUrl.isEmpty())) {
    cancelUrl = rb.getString("cancelUrl");
  }
  String errorUrl = request.getParameter("errorUrl");
  if (admin.equals("false") &&
        (errorUrl == null || errorUrl.isEmpty())) {
    errorUrl = rb.getString("errorUrl");
  }
  String pushUrl = request.getParameter("pushUrl");
  if (admin.equals("false") &&
        (pushUrl == null || pushUrl.isEmpty())) {
    pushUrl = rb.getString("pushUrl");
  }


  // キャリアの選択状態を判定
  String sctCarrier_docomo = "";
  String sctCarrier_au = "";
  String sctCarrier_softbank_sum = "";
  String sctCarrier_flets = "";
  String sctCarrier_sbps = "";
  if (MdkServiceConstants.CARRIER_DOCOMO.equals(request.getParameter("serviceOptionType"))) { sctCarrier_docomo = " selected"; }
  if (MdkServiceConstants.CARRIER_AU.equals(request.getParameter("serviceOptionType"))) { sctCarrier_au = " selected"; }
  if (MdkServiceConstants.CARRIER_SB_MATOMETE.equals(request.getParameter("serviceOptionType"))) { sctCarrier_softbank_sum = " selected"; }
  if (MdkServiceConstants.CARRIER_FLETS.equals(request.getParameter("serviceOptionType"))) { sctCarrier_flets = " selected"; }
  if (MdkServiceConstants.CARRIER_SB_KTAI.equals(request.getParameter("serviceOptionType"))) { sctCarrier_sbps = " selected"; }

  // 端末種別の取得(サンプルのため、全てのキャリアのチェックができていないかもしれません。)
  String terminalKind = CarrierUtility.instance.getTerminalKind(request.getHeader("user-agent"));

  // 端末種別の選択状態を判定
  String sctTerminalKind_0 = "";
  String sctTerminalKind_1 = "";
  String sctTerminalKind_2 = "";
  if (terminalKind == null) {
    if (MdkServiceConstants.CARRIER_TERMINAL_PC.equals(request.getParameter("terminalKind"))) { sctTerminalKind_0 = " selected"; }
    if (MdkServiceConstants.CARRIER_TERMINAL_SP.equals(request.getParameter("terminalKind"))) { sctTerminalKind_1 = " selected"; }
    if (MdkServiceConstants.CARRIER_TERMINAL_FP.equals(request.getParameter("terminalKind"))) { sctTerminalKind_2 = " selected"; }
  }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  //初期表示時の制御
  String style = "";
  if (force.equals("false")) {
    style = "display:";
  } else {
    style = "display:none";
  }

  //ダミー決済の判定
  boolean dummy = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties")).equals("ダミーリクエスト");
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - キャリア決済継続課金・随時決済終了サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

function setUrl() {
    var obj = document.FORM_CARRIER.elements;
    var force = obj.force.value;
    if (force == "false") {
        var index = obj.serviceOptionType.selectedIndex;
        if (index == 1 || index == 3) {
            obj.successUrl.value = "";
            obj.cancelUrl.value = "";
            obj.errorUrl.value = "";
        } else {
            if (obj.successUrl.value == "") {
                obj.successUrl.value = obj.hidSuccessUrl.value;
            }
            if (obj.cancelUrl.value == "") {
                obj.cancelUrl.value = obj.hidCancelUrl.value;
            }
            if (obj.errorUrl.value == "") {
                obj.errorUrl.value = obj.hidErrorUrl.value;
            }
        }
    }
}

// onLoadイベント
window.onload= function() {
  setUrl();
}
//-->

</script>
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
<%
    if (admin.equals("false")) {
%>
本画面はVeriTrans4G キャリア決済の継続課金終了取引サンプル画面です。<br/>
<%
    } else {
%>
本画面はVeriTrans4G キャリア決済の継続課金・随時決済終了取引サンプル画面です。<br/>
<%
          }
%>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>

<%
    if (admin.equals("false")) {
%>
<div class="lhtitle">キャリア決済：継続課金終了請求</div>
<%
    } else {
%>
<div class="lhtitle">キャリア決済：継続課金・随時決済終了請求</div>
<%
          }
%>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARRIER" method="post" action="TerminateExec">
<tr>
  <td class="ititletop">キャリア選択</td>
  <td class="ivaluetop">
    <select name="serviceOptionType" onChange="setUrl()">
      <option value="<%=MdkServiceConstants.CARRIER_DOCOMO%>"<%=Utils.out(sctCarrier_docomo)%>>ドコモ</option>
      <option value="<%=MdkServiceConstants.CARRIER_AU%>"<%=Utils.out(sctCarrier_au)%>>au</option>
      <option value="<%=MdkServiceConstants.CARRIER_SB_MATOMETE%>"<%=Utils.out(sctCarrier_softbank_sum)%>>ソフトバンクまとめて支払い（A）</option>
      <option value="<%=MdkServiceConstants.CARRIER_SB_KTAI%>"<%=Utils.out(sctCarrier_sbps)%>>ソフトバンクまとめて支払い（B）</option>
      <%
          if (admin.equals("false")) {
      %>
      <option value="<%=MdkServiceConstants.CARRIER_FLETS%>"<%=Utils.out(sctCarrier_flets)%>>フレッツまとめて支払い</option>
      <%
          }
      %>
    </select>
      <%
          if (admin.equals("true")) {
      %>
      <br/><font size="2" color="red">※随時決済の場合はドコモのみ指定可能</font>
      <%
          }
      %>
  </td>
</tr>

<tr>
  <td class="ititle">取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="orderId" value="<%=Utils.out(request.getParameter("orderId"))%>"></td>
</tr>

<%
  if (admin.equals("false")) {
    if (terminalKind == null) {
%>
<tr>
  <td class="ititle">端末種別</td>
  <td class="ivalue">
    <select name="terminalKind">
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_PC%>"<%=Utils.out(sctTerminalKind_0)%>>PC</option>
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_SP%>"<%=Utils.out(sctTerminalKind_1)%>>スマートフォン</option>
      <option value="<%=MdkServiceConstants.CARRIER_TERMINAL_FP%>"<%= Utils.out(sctTerminalKind_2) %>>フィーチャーフォン</option>
    </select>
  </td>
</tr>
<%
    } else {
%>
<input type="hidden" name="terminalKind" value=<%=terminalKind%> >
<%
    }
  }
%>

<tr id="success" style="<%= style %>">
  <td class="ititle">継続課金終了完了時URL</td>
  <td class="ivalue">
    <input type="text" maxlength="256" size="70" name="successUrl" value="<%= Utils.out(successUrl) %>"><br/>
    <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
  </td>
</tr>

<tr id="cancel" style="<%= style %>">
  <td class="ititle">継続課金終了キャンセル時URL</td>
  <td class="ivalue">
    <input type="text" maxlength="256" size="70" name="cancelUrl" value="<%= Utils.out(cancelUrl) %>"><br/>
    <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
  </td>
</tr>

<tr id="error" style="<%= style %>">
  <td class="ititle">継続課金終了エラー時URL</td>
  <td class="ivalue">
    <input type="text" maxlength="256" size="70" name="errorUrl" value="<%= Utils.out(errorUrl) %>"><br/>
    <font size="2" color="red">※au・ソフトバンクまとめて支払い（B）は指定不可</font>
  </td>
</tr>

<tr style="<%= style %>">
  <td class="ititle">プッシュURL</td>
  <td class="ivalue">
<%
 if (dummy) {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(pushUrl) %>"><br/>
<%
 } else {
%>
      <input type="text" maxlength="256" size="70" name="pushUrl" value="" disabled><br/>
<%
 }
%>
      <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
  </td>
</tr>

<input type="hidden" name="force" value="<%=force%>" />
<% if(null != request.getAttribute("Admin")){ %>
<input type="hidden" name="Admin" value="<%=request.getAttribute("Admin")%>">
<% } %>

<input type="hidden" name="hidSuccessUrl" value="<%=successUrl%>" >
<input type="hidden" name="hidCancelUrl" value="<%=cancelUrl%>" >
<input type="hidden" name="hidErrorUrl" value="<%=errorUrl%>" >

<tr><td colspan="2">&nbsp;</td></tr>
<tr>
<%
    if (admin.equals("false")) {
%>
  <td colspan="2"><input type="submit" value="継続課金終了">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
<%
    }else {
%>
  <td colspan="2"><input type="submit" value="継続課金・随時決済終了">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
<%
    }
%>
</tr>
</form>
</table>

<br>
<% if(force.equals("true")){ %>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;
<% }else{ %>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<% } %>

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
