<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 与信方法の選択状態を判定
  String serviceOptionType_sej = "";
  String serviceOptionType_econ = "";
  String serviceOptionType_other = "";
  if ("sej".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_sej = " selected"; }
  if ("econ".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_econ = " selected"; }
  if ("other".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_other = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - コンビニ決済取消サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G コンビニ決済の取消取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">コンビニ決済：取消請求</div>
<table>
<form name="FORM_CVS" method="post" action="CancelExec">
</table>

<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">決済サービスオプション</td>
  <td class="ivaluetop">
    <select name="serviceOptionType">
      <option value="sej"<%= Utils.out(serviceOptionType_sej) %>>セブンイレブン</option>
      <option value="econ"<%= Utils.out(serviceOptionType_econ) %>>ローソン、ファミリーマートetc</option>
      <option value="other"<%= Utils.out(serviceOptionType_other) %>>サークルKサンクス、デイリーヤマザキetc</option>
    </select>
  </td>
</tr>
<tr>
  <td class="ititle">取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"></td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="取消">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>