<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>
<%@ page import="java.util.*"%>
<%
    //課金自動終了チェックボックス
    String checked = "";
    if ("1".equals(request.getParameter("finalCharge"))) {
        checked = "checked";  
    }

    // 決済中にエラーが発生して戻された時のエラー内容
    String warning = Utils
            .out((String) request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - 継続課金停止(カード払い)サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function submitForm(frm, action, execMode) {
            frm.execMode.value = execMode;
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }   
    </script>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G 継続課金停止(カード払い)のサンプル画面です。<br />
            お客様ECサイトとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <%=warning%>
    <div class="lhtitle">継続課金停止(カード払い)</div>
    <form name="FORM_PAY_NOW_ID" method="post" action="./RecurringTerminateExec">
        <input type="hidden" name="execMode" value="">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td class="thl" colspan="2">会員情報</td>
            </tr>
            <tr>
                <td class="ititletop">会員ID</td>
                <td class="ivaluetop">
                    <input type="text" size="40" name="accountId" value="<%= Utils.out(request.getParameter("accountId")) %>" maxLength="100">&nbsp;&nbsp;<input type="button" value="継続課金情報取得" onclick="submitForm(FORM_PAY_NOW_ID, './RecurringTerminateExec', '1');">
                </td>
            </tr>
            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
            <td class="thl" colspan="2">継続課金情報</td>
            </tr>
            <tr>
                <td class="ititletop">課金グループID</td>
                <td class="ivalue">
                <select name="groupId">
                    <%
                        LinkedHashMap map = (LinkedHashMap)session.getAttribute("groupIdList");
                        if (map != null) {
                          Iterator it = map.keySet().iterator();
                          while(it.hasNext()) {
                            String key = (String)it.next();
                            String groupIdSelect = (String)session.getAttribute("groupIdSelect");
                            String selected = "";
                            if (key.equals(groupIdSelect)) {
                                selected = "selected";
                            }
                    %>
                            <option value="<%=key%>" <%=selected%>><%=key%> ： <%=map.get(key)%></option>
                    <%
                          }
                        } 
                    %>
                </select>
                </td>
            </tr>
            <tr>
                <td class="ititle">課金終了日</td>
                <td class="ivalue">
                    <input type="text" size="8" name="endDate" value="<%= Utils.out(request.getParameter("endDate")) %>" maxLength="8" />&nbsp;&nbsp;<font size="2" color="red">※形式:YYYYMMDD</font>
                    <input type="checkbox" name="finalCharge" value="1" <%=checked%> /><font size="2">次回課金で自動的に終了する。</font>
                </td>
            </tr>

            <tr><td colspan="2">&nbsp;</td></tr>
            <tr>
                <td colspan="2">
                    <input type="button" value="実行" onclick="submitForm(FORM_PAY_NOW_ID, './RecurringTerminateExec', '2');">
                    &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
                </td>
            </tr>
        </table>
    </form>
    <a href="../PayNowIdMenu.jsp">PayNowIDサンプルのトップメニューへ戻る</a>
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
