<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String paymentAction_capture = "";
  String paymentAction_authorize = "";
  if ("capture".equals(request.getParameter("paymentAction"))) { paymentAction_capture = " selected"; }
  if ("authorize".equals(request.getParameter("paymentAction"))) { paymentAction_authorize = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - PayPal決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
	<script type="text/javascript">
		function reDrawing(frm, action) {
			frm.action = action;
			frm.method = "POST";
			frm.submit();
		}
	</script>
<img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G PayPal決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">PayPal決済：決済請求</div></td>
  <td class="pcxts">
  <img src="../WEB-IMG/PayPal.gif"/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_PAYPAL" method="post" action="./AuthorizeInit">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="button" value="取引ID更新" onclick="reDrawing(FORM_PAYPAL, './Authorize');"><input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"></td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><input type="text" maxlength="7" size="8" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
</tr>
<tr>
  <td class="ititle">決済方法</td>
  <td class="ivalue">
  <select name="paymentAction">
    <option value="capture"<%= Utils.out(paymentAction_capture) %>>与信同時売上</option>
    <option value="authorize"<%= Utils.out(paymentAction_authorize) %>>与信のみ</option>
  </select>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
