<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // paypay.propertiesファイルから必要なプロパティを取得
  // ここでは、URLを設定ファイルから取得している。
  Locale objLcl = request.getLocale();
  ResourceBundle rb = ResourceBundle.getBundle("paypay",objLcl);
  String successUrl = request.getParameter("successUrl");
  if (successUrl == null) {
      successUrl = rb.getString("successUrl");
  }

  String cancelUrl = request.getParameter("cancelUrl");
  if (cancelUrl == null) {
    cancelUrl = rb.getString("cancelUrl");
  }

  String errorUrl = request.getParameter("errorUrl");
  if (errorUrl == null) {
      errorUrl = rb.getString("errorUrl");
  }
  String pushUrl = request.getParameter("pushUrl");
  if (pushUrl == null) {
      pushUrl = rb.getString("pushUrl");
  }

  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - PayPay サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function reDrawing(frm, action) {
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }
    </script>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G PayPayの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">PayPay：決済申込(オンライン決済)</div></td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_PAYPAY" method="post" action="./OnlineAuthorizeExec">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="button" value="取引ID更新" onclick="reDrawing(FORM_PAYPAY, './OnlineAuthorize');"><input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"></td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><input type="text" maxlength="7" size="8" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
</tr>
<tr>
  <td class="ititle">商品名</td>
  <td class="ivalue"><input type="text" maxlength="40" size="21" name="itemName" value="<%= Utils.out(request.getParameter("itemName")) %>"></td>
</tr>
<tr>
  <td class="ititle">商品ID</td>
  <td class="ivalue"><input type="text" maxlength="32" size="21" name="itemId" value="<%= Utils.out(request.getParameter("itemId")) %>"></td>
</tr>
<tr>
  <td class="ititle">決済完了時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="successUrl" value="<%= Utils.out(successUrl) %>"></td>
</tr>
<tr>
  <td class="ititle">決済キャンセル時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="cancelUrl" value="<%= Utils.out(cancelUrl) %>"></td>
</tr>
<tr>
  <td class="ititle">決済エラー時URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="errorUrl" value="<%= Utils.out(errorUrl) %>"></td>
</tr>
<tr>
  <td class="ititle">プッシュ先URL</td>
  <td class="ivalue"><input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(pushUrl) %>"><br/>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
