<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"
         import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }

  // 表示する文字列を作成
  String result = request.getParameter("result");
  String strResult = "";
  if (Utils.isNull(result) == false) {
    if (result.equals("SUCCESS")) {
      strResult = "完了";
    } else if (result.equals("CANCEL")) {
      strResult = "キャンセル";
    } else if (result.equals("ERROR")) {
      strResult = "エラー";
    }
  }

%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>取引結果（<%= strResult %>）</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G 楽天ID決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
</font>
</div>

<div class="lhtitle">楽天ID決済：取引結果（決済）</div>

<%= warning %>

<%
if (Utils.isNull(warning) == true) {
%>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">取引ID</td>
    <td class="rivaluetop"><%= Utils.out(request.getParameter("orderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引ステータス</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("mstatus")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">結果コード</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("vResultCode")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">楽天取引ID</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("rakutenOrderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">決済取引ID</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("gatewayOrderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">利用ポイント</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("usedPoint")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">クレジットカードのブランド</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cardBrand")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">クレジットカード番号の下４桁</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cardLast4")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">分割払いの回数</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cardInstallments")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">セキュリティコード認証利用有無</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cardCvc")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">3D セキュア認証利用有無</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("card3ds")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">取引成立日時</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("transactionDatetime")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">取消受付期限</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cancelExpirationTime")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">売上受付期限</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("captureExpirationTime")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">金額変更受付期限</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("updateExpirationTime")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">与信延長受付期限</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("extendAuthExpirationTime")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">楽天承諾時取引ID</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("rakutenConsentOrderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">顧客ID</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("customerId")) %><br/></td>
  </tr>
</table>
<%
}
%>
<br/>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
<hr/>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

