<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
  }
%>

<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>取引検索結果</title>
  <link href="../css/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
  <img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
    <font size="2">
    本画面はVeriTrans4G 取引検索のサンプル画面です。<br/>
    お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
    </font>
  </div>

<%= warning %>

  <div class="lhtitle">検索結果</div>
  <table border="1" cellpadding="0" cellspacing="0">
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="3" rowspan="2">オーダー情報</th>
      <th class="rititle2" nowrap colspan="4" rowspan="2">決済トランザクション情報</th>
      <th class="rititle2" nowrap colspan="54">サービス固有項目</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <th class="rititle2" nowrap colspan="2">電子マネー</th>
      <th class="rititle2" nowrap colspan="2">コンビニ</th>
      <th class="rititle2" nowrap colspan="2">銀行</th>
      <th class="rititle2" nowrap colspan="2">クレジットカード</th>
      <th class="rititle2" nowrap colspan="2">クレジットカード（本人認証）</th>
      <th class="rititle2" nowrap colspan="2">PayPal</th>
      <th class="rititle2" nowrap colspan="2">永久不滅ポイント(永久不滅ウォレット)</th>
      <th class="rititle2" nowrap colspan="6">銀聯ネット決済(UPOP)</th>
      <th class="rititle2" nowrap colspan="7">Alipay</th>
      <th class="rititle2" nowrap colspan="3">キャリア</th>
      <th class="rititle2" nowrap colspan="2">ショッピングクレジット</th>
      <th class="rititle2" nowrap colspan="5">楽天ID決済</th>
      <th class="rititle2" nowrap colspan="3">リクルートかんたん支払い</th>
      <th class="rititle2" nowrap colspan="3">LINE Pay</th>
      <th class="rititle2" nowrap colspan="2">MasterPass</th>
      <th class="rititle2" nowrap colspan="3">銀行振込決済</th>
      <th class="rititle2" nowrap colspan="2">PayPay</th>
      <th class="rititle2" nowrap colspan="4">Amazon Pay</th>
    </tr>
    <tr bgcolor="#ffeebb">
      <!-- オーダー情報 -->
      <th class="rititle2" nowrap>取引ID</th>
      <th class="rititle2" nowrap>決済サービスタイプ</th>
      <th class="rititle2" nowrap>オーダー決済状態</th>

      <!-- 決済トランザクション情報 -->
      <th class="rititle2" nowrap>コマンド</th>
      <th class="rititle2" nowrap>ステータスコード</th>
      <th class="rititle2" nowrap>結果コード</th>
      <th class="rititle2" nowrap>金額</th>

      <!-- 電子マネー -->
      <th class="rititle2" nowrap>決済金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- コンビニ -->
      <th class="rititle2" nowrap>決済金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- 銀行 -->
      <th class="rititle2" nowrap>金額</th>
      <th class="rititle2" nowrap>取引日時</th>

      <!-- クレジットカード -->
      <th class="rititle2" nowrap>要求通貨単位</th>
      <th class="rititle2" nowrap>要求カード番号</th>

      <!-- クレジットカード（MPI） -->
      <th class="rititle2" nowrap>要求通貨単位</th>
      <th class="rititle2" nowrap>要求カード番号</th>

      <!-- PayPal -->
      <th class="rititle2" nowrap>請求番号</th>
      <th class="rititle2" nowrap>金額</th>

      <!-- 永久不滅ポイント -->
      <th class="rititle2" nowrap>ウォレット決済金額</th>
      <th class="rititle2" nowrap>永久不滅ウォレット残高</th>

      <!-- UPOP -->
      <th class="rititle2" nowrap>清算金額</th>
      <th class="rititle2" nowrap>清算日付</th>
      <th class="rititle2" nowrap>清算通貨</th>
      <th class="rititle2" nowrap>為替日付</th>
      <th class="rititle2" nowrap>清算レート</th>
      <th class="rititle2" nowrap>決済センターとの取引ID</th>
      <!-- Alipay -->
      <th class="rititle2" nowrap>決済センターとの取引ID</th>
      <th class="rititle2" nowrap>詳細コマンドタイプ</th>
      <th class="rititle2" nowrap>清算金額</th>
      <th class="rititle2" nowrap>清算通貨</th>
      <th class="rititle2" nowrap>支払い日付</th>
      <th class="rititle2" nowrap>清算日付</th>
      <th class="rititle2" nowrap>決済種別</th>

      <!-- キャリア -->
      <th class="rititle2" nowrap>キャリア結果コード</th>
      <th class="rititle2" nowrap>キャリアへの要求日時</th>
      <th class="rititle2" nowrap>キャリアからの返戻日時</th>

      <!-- ショッピングクレジット -->
      <th class="rititle2" nowrap>商品価格合計</th>
      <th class="rititle2" nowrap>審査結果コード</th>

      <!-- 楽天 -->
      <th class="rititle2" nowrap>楽天APIエラーコード</th>
      <th class="rititle2" nowrap>楽天APIエラータイプ</th>
      <th class="rititle2" nowrap>楽天取引エラーコード</th>
      <th class="rititle2" nowrap>楽天への要求日時</th>
      <th class="rititle2" nowrap>楽天からの返戻日時</th>

      <!-- リクルート -->
      <th class="rititle2" nowrap>リクルートエラーコード</th>
      <th class="rititle2" nowrap>リクルートへの要求日時</th>
      <th class="rititle2" nowrap>リクルートからの返戻日時</th>

      <!-- LINE Pay -->
      <th class="rititle2" nowrap>LINE Payエラーコード</th>
      <th class="rititle2" nowrap>LINE Payへの要求日時</th>
      <th class="rititle2" nowrap>LINE Payからの返戻日時</th>

      <!-- MasterPass -->
      <th class="rititle2" nowrap>MasterPassへの要求日時</th>
      <th class="rititle2" nowrap>MasterPassからの返戻日時</th>

      <!-- 銀行振込 -->
      <th class="rititle2" nowrap>入金総額</th>
      <th class="rititle2" nowrap>登録時振込番号</th>
      <th class="rititle2" nowrap>入金日</th>
      <!-- PayPay -->
      <th class="rititle2" nowrap>PayPayへの要求日時</th>
      <th class="rititle2" nowrap>PayPayからの返戻日時</th>

      <!-- Amazon Pay -->
      <th class="rititle2" nowrap>決済センターの管理ID</th>
      <th class="rititle2" nowrap>決済センターのトランザクション管理ID</th>
      <th class="rititle2" nowrap>決済センターへの要求日時</th>
      <th class="rititle2" nowrap>決済センターからの返戻日時</th>

    </tr>
<%
  OrderInfo[] order_info = (OrderInfo[]) request.getAttribute("order_info");
  if (order_info != null) {
    for (int i = 0; i < order_info.length; i++) {
      OrderInfo target = order_info[i];
      String target_orderId       = target.getOrderId();       // オーダーID
      String target_serviceTypeCd = target.getServiceTypeCd(); // 決済サービスタイプ
      String target_orderStatus   = target.getOrderStatus();   // オーダー決済状態

      TransactionInfos transactionInfos = target.getTransactionInfos();
      TransactionInfo[] transactionInfo = transactionInfos.getTransactionInfo();

      String transaction_command     = "";  // コマンド
      String transaction_mstatus     = "";  // ステータスコード
      String transaction_vResultCode = "";  // 結果コード
      String transaction_amount      = "";  // 金額
      ProperTransactionInfo properTransactionInfo = null;
      if (transactionInfo != null && 0 < transactionInfo.length) {
          int lastTxnId = 0;
          TransactionInfo lastTransactionInfo = null;
          for (TransactionInfo transactionInfoElement : transactionInfo) {
              int txnId = Integer.parseInt(transactionInfoElement.getTxnId());
              if (lastTransactionInfo == null || lastTxnId < txnId) {
                  lastTxnId = txnId;
                  lastTransactionInfo = transactionInfoElement;
              }
          }
          transaction_command     = lastTransactionInfo.getCommand();     // コマンド
          transaction_mstatus     = lastTransactionInfo.getMstatus();     // ステータスコード
          transaction_vResultCode = lastTransactionInfo.getVResultCode(); // 結果コード
          transaction_amount      = lastTransactionInfo.getAmount();      // 金額
          properTransactionInfo = lastTransactionInfo.getProperTransactionInfo();
      }

      ProperOrderInfo properOrderInfo = target.getProperOrderInfo();

      // サービス固有項目
      String em_amount                        = "";
      String em_centerProcDatetime            = "";
      String cvs_amount                       = "";
      String cvs_startDatetime                = "";
      String bank_amount                      = "";
      String bank_startDatetime               = "";
      String card_requestCurrencyUnit         = "";
      String card_reqCardNumber               = "";
      String mpi_requestCurrencyUnit          = "";
      String mpi_reqCardNumber                = "";
      String paypal_invoiceId                 = "";
      String paypal_amount                    = "";
      String saison_walletAmount              = "";
      String saison_aqAqfWalletBalance        = "";
      String upop_settle_amount               = "";
      String upop_settle_date                 = "";
      String upop_settle_currency             = "";
      String upop_exchangedate                = "";
      String upop_exchangerate                = "";
      String upop_order_id                    = "";
      String alipay_center_trade_id           = "";
      String alipay_txn_type                  = "";
      String alipay_settle_amount             = "";
      String alipay_settle_currency           = "";
      String alipay_payment_time              = "";
      String alipay_settlement_time           = "";
      String alipay_pay_type                  = "";
      String carrier_crResultCode             = "";
      String carrier_crRequestDatetime        = "";
      String carrier_crResponseDatetime       = "";
      String oricosc_orderStateCode           = "";
      String oricosc_totalItemAmount          = "";
      String rakuten_apiErrorCode             = "";
      String rakuten_apiErrorType             = "";
      String rakuten_orderErrorCode           = "";
      String rakuten_requestDatetime          = "";
      String rakuten_responseDatetime         = "";
      String recruit_errorCode                = "";
      String recruit_requestDatetime          = "";
      String recruit_responseDatetime         = "";
      String linepay_errorCode                = "";
      String linepay_requestDatetime          = "";
      String linepay_responseDatetime         = "";
      String masterpass_requestDatetime       = "";
      String masterpass_responseDatetime      = "";
      String virtualacc_totalDepositAmount    = "";
      String virtualacc_entryTransferNumber   = "";
      String virtualacc_depositDate           = "";
      String paypay_requestDatetime           = "";
      String paypay_responseDatetime          = "";
      String amazonpay_centerOrderId          = "";
      String amazonpay_centerTransactionId    = "";
      String amazonpay_centerRequestDatetime  = "";
      String amazonpay_centerResponseDatetime = "";


      // 電子マネー
      if ("em".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          em_amount = properOrderInfo.getAmount(); // オーダー情報 : 決済金額
        }
        if (properTransactionInfo != null) {
          em_centerProcDatetime = properTransactionInfo.getCenterProcDatetime(); // トランザクション情報 : 取引日時
        }
      }

      // コンビニ
      if ("cvs".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          cvs_amount = properOrderInfo.getAmount(); // オーダー情報 : 決済金額
        }
        if (properTransactionInfo != null) {
          cvs_startDatetime = properTransactionInfo.getStartDatetime(); // トランザクション情報 : 取引日時
        }
      }

      // 銀行
      if ("bank".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          bank_amount = properOrderInfo.getAmount(); // オーダー情報 : 金額
        }
        if (properTransactionInfo != null) {
          bank_startDatetime = properTransactionInfo.getStartDatetime(); // トランザクション情報 : 取引日時
        }
      }

      // クレジットカード
      if ("card".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          card_requestCurrencyUnit = properOrderInfo.getRequestCurrencyUnit(); // オーダー情報 : 要求通貨単位
        }
        if (properTransactionInfo != null) {
          card_reqCardNumber = properTransactionInfo.getReqCardNumber(); // トランザクション情報 : 要求カード番号
        }
      }

      // クレジットカード（本人認証）
      if ("mpi".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          mpi_requestCurrencyUnit = properOrderInfo.getRequestCurrencyUnit(); // オーダー情報 : 要求通貨単位
        }
        if (properTransactionInfo != null) {
          mpi_reqCardNumber = properTransactionInfo.getReqCardNumber(); // トランザクション情報 : 要求カード番号
        }
      }

      // PayPal
      if ("paypal".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          paypal_invoiceId = properOrderInfo.getInvoiceId(); // オーダー情報 : 請求番号
        }
        if (properTransactionInfo != null) {
          paypal_amount = properTransactionInfo.getAmount(); // トランザクション情報 : 金額
        }
      }

      // 永久不滅ポイント
      if ("saison".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          saison_walletAmount = properOrderInfo.getWalletAmount(); // オーダー情報 : ウォレット決済金額
        }
        if (properTransactionInfo != null) {
          saison_aqAqfWalletBalance = properTransactionInfo.getAqAqfWalletBalance(); // トランザクション情報 : 永久不滅ウォレット残高
        }
      }

      // UPOP
      if ("upop".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          upop_settle_amount = properTransactionInfo.getResUpopSettleAmount();
          upop_settle_date = properTransactionInfo.getResUpopSettleDate();
          upop_settle_currency = properTransactionInfo.getResUpopSettleCurrency();
          upop_exchangedate = properTransactionInfo.getResUpopExchangeDate();
          upop_exchangerate = properTransactionInfo.getResUpopExchangeRate();
          upop_order_id = properTransactionInfo.getResUpopOrderId();
        }
      }

      // Alipay
      if ("alipay".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          alipay_center_trade_id = properTransactionInfo.getCenterTradeId();
          alipay_txn_type        = properTransactionInfo.getAlipayTxnType();
          alipay_settle_amount = properTransactionInfo.getSettleAmount();
          alipay_settle_currency = properTransactionInfo.getSettleCurrency();
          alipay_payment_time = properTransactionInfo.getPaymentTime();
          alipay_settlement_time = properTransactionInfo.getSettlementTime();
          alipay_pay_type = properTransactionInfo.getPayType();
        }
      }

      // キャリア
      if ("carrier".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
            carrier_crResultCode = properTransactionInfo.getCrResultCode();
            carrier_crRequestDatetime = properTransactionInfo.getCrRequestDatetime();
            carrier_crResponseDatetime = properTransactionInfo.getCrResponseDatetime();
        }
      }

      // ショッピングクレジット
      if ("oricosc".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          oricosc_totalItemAmount = properOrderInfo.getTotalItemAmount();          // オーダー情報 : 商品価格合計
        }
        if (properTransactionInfo != null) {
          oricosc_orderStateCode = properTransactionInfo.getOrderStateCode();   // トランザクション情報 : 審査結果コード
        }
      }

      // 楽天
      if ("rakuten".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          rakuten_apiErrorCode = properTransactionInfo.getRakutenApiErrorCode();          // トランザクション情報 : 楽天APIエラーコード
          rakuten_apiErrorType = properTransactionInfo.getRakutenApiErrorType();          // トランザクション情報 : 楽天APIエラータイプ
          rakuten_orderErrorCode = properTransactionInfo.getRakutenOrderErrorCode();   // トランザクション情報 : 楽天取引エラーコード
          rakuten_requestDatetime = properTransactionInfo.getRakutenRequestDatetime();   // トランザクション情報 : 楽天への要求日時
          rakuten_responseDatetime = properTransactionInfo.getRakutenResponseDatetime();   // トランザクション情報 : 楽天からの返戻日時
        }
      }

      // リクルート
      if ("recruit".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          recruit_errorCode = properTransactionInfo.getRecruitErrorCode();          // トランザクション情報 : リクルートエラーコード
          recruit_requestDatetime = properTransactionInfo.getRecruitRequestDatetime();   // トランザクション情報 : リクルートへの要求日時
          recruit_responseDatetime = properTransactionInfo.getRecruitResponseDatetime();   // トランザクション情報 : リクルートからの返戻日時
        }
      }

      // LINE Pay
      if ("linepay".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          linepay_errorCode = properTransactionInfo.getLinepayErrorCode();          // トランザクション情報 : LINE Payエラーコード
          linepay_requestDatetime = properTransactionInfo.getLinepayRequestDatetime();   // トランザクション情報 : LINE Payへの要求日時
          linepay_responseDatetime = properTransactionInfo.getLinepayResponseDatetime();   // トランザクション情報 : LINE Payからの返戻日時
        }
      }

      // MasterPass
      if ("masterpass".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          masterpass_requestDatetime = properTransactionInfo.getMasterpassRequestDatetime();   // トランザクション情報 : MasterPassへの要求日時
          masterpass_responseDatetime = properTransactionInfo.getMasterpassResponseDatetime();   // トランザクション情報 : MasterPassからの返戻日時
        }
      }

      // 銀行振込
      if ("virtualacc".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          virtualacc_totalDepositAmount = properOrderInfo.getTotalDepositAmount();   // オーダー情報 : 入金総額
          virtualacc_entryTransferNumber = properOrderInfo.getEntryTransferNumber(); // オーダー情報 : 登録時振込番号
          virtualacc_depositDate = properTransactionInfo.getDepositDate();           // トランザクション情報 : 入金日
        }
      }

      // PayPay
      if ("paypay".equals(target_serviceTypeCd)) {
        if (properTransactionInfo != null) {
          paypay_requestDatetime = properTransactionInfo.getPaypayRequestDatetime();   // トランザクション情報 : PayPayへの要求日時
          paypay_responseDatetime = properTransactionInfo.getPaypayResponseDatetime();   // トランザクション情報 : PayPayからの返戻日時
        }
      }

      // Amazon Pay
      if ("amazonpay".equals(target_serviceTypeCd)) {
        if (properOrderInfo != null) {
          amazonpay_centerOrderId = properOrderInfo.getCenterOrderId();                            // オーダー情報 ： 決済センターの管理ID
        }
        if (properTransactionInfo != null) {
          amazonpay_centerTransactionId  = properTransactionInfo.getCenterTransactionId();         // トランザクション情報 : 決済センターのトランザクション管理ID
          amazonpay_centerRequestDatetime  = properTransactionInfo.getCenterRequestDatetime();     // トランザクション情報 : 決済センターへの要求日時
          amazonpay_centerResponseDatetime = properTransactionInfo.getCenterResponseDatetime();    // トランザクション情報 : 決済センターからの返戻日時
        }
      }

%>
    <tr>
      <!-- オーダー情報 -->
<% if ("carrier".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./carrier/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("rakuten".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./rakuten/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("recruit".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./recruit/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("linepay".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./linepay/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("masterpass".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./masterpass/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("virtualacc".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./virtualacc/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("alipay".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./alipay/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("upop".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./upop/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("paypay".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./paypay/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else if ("amazonpay".equals(target_serviceTypeCd)) { %>
      <td class="rivalue2" nowrap><a href='./amazonpay/SearchExec?orderId=<%=target_orderId %>'><%= Utils.out(target_orderId) %></a><br/></td>
<% } else { %>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderId) %><br/></td>
<% } %>
      <td class="rivalue2" nowrap><%= Utils.out(target_serviceTypeCd) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(target_orderStatus) %><br/></td>

      <!-- 決済トランザクション情報 -->
      <td class="rivalue2" nowrap><%= Utils.out(transaction_command) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_mstatus) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_vResultCode) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(transaction_amount) %><br/></td>

      <!-- 電子マネー -->
      <td class="rivalue2" nowrap><%= Utils.out(em_amount) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(em_centerProcDatetime) %><br/></td>

      <!-- コンビニ -->
      <td class="rivalue2" nowrap><%= Utils.out(cvs_amount) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(cvs_startDatetime) %><br/></td>

      <!-- 銀行 -->
      <td class="rivalue2" nowrap><%= Utils.out(bank_amount) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(bank_startDatetime) %><br/></td>

      <!-- クレジットカード -->
      <td class="rivalue2" nowrap><%= Utils.out(card_requestCurrencyUnit) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(card_reqCardNumber) %><br/></td>

      <!-- クレジットカード（本人認証） -->
      <td class="rivalue2" nowrap><%= Utils.out(mpi_requestCurrencyUnit) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(mpi_reqCardNumber) %><br/></td>

      <!-- PayPal -->
      <td class="rivalue2" nowrap><%= Utils.out(paypal_invoiceId) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(paypal_amount) %><br/></td>

      <!-- 永久不滅ポイント(永久不滅ウォレット) -->
      <td class="rivalue2" nowrap><%= Utils.out(saison_walletAmount) %><br/></td>
      <td class="rivalue2" nowrap><%= Utils.out(saison_aqAqfWalletBalance) %><br/></td>

      <!-- UPOP -->
      <td class="rivalue2" nowrap><%=Utils.out(upop_settle_amount)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(upop_settle_date)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(upop_settle_currency)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(upop_exchangedate)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(upop_exchangerate)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(upop_order_id)%><br /></td>

      <!-- Alipay -->
      <td class="rivalue2" nowrap><%=Utils.out(alipay_center_trade_id)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_txn_type)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_settle_amount)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_settle_currency)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_payment_time)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_settlement_time)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(alipay_pay_type)%><br /></td>

      <!-- キャリア -->
      <td class="rivalue2" nowrap><%=Utils.out(carrier_crResultCode)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(carrier_crRequestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(carrier_crResponseDatetime)%><br /></td>

      <!-- ショッピングクレジット -->
      <td class="rivalue2" nowrap><%=Utils.out(oricosc_totalItemAmount)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(oricosc_orderStateCode)%><br /></td>

      <!-- 楽天 -->
      <td class="rivalue2" nowrap><%=Utils.out(rakuten_apiErrorCode)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(rakuten_apiErrorType)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(rakuten_orderErrorCode)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(rakuten_requestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(rakuten_responseDatetime)%><br /></td>

      <!-- リクルート -->
      <td class="rivalue2" nowrap><%=Utils.out(recruit_errorCode)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(recruit_requestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(recruit_responseDatetime)%><br /></td>

      <!-- LINE Pay -->
      <td class="rivalue2" nowrap><%=Utils.out(linepay_errorCode)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(linepay_requestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(linepay_responseDatetime)%><br /></td>

      <!-- MasterPass -->
      <td class="rivalue2" nowrap><%=Utils.out(masterpass_requestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(masterpass_responseDatetime)%><br /></td>

      <!-- 銀行振込 -->
      <td class="rivalue2" nowrap><%=Utils.out(virtualacc_totalDepositAmount)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(virtualacc_entryTransferNumber)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(virtualacc_depositDate)%><br /></td>

      <!-- paypay -->
      <td class="rivalue2" nowrap><%=Utils.out(paypay_requestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(paypay_responseDatetime)%><br /></td>

      <!-- Amazon Pay -->
      <td class="rivalue2" nowrap><%=Utils.out(amazonpay_centerOrderId)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(amazonpay_centerTransactionId)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(amazonpay_centerRequestDatetime)%><br /></td>
      <td class="rivalue2" nowrap><%=Utils.out(amazonpay_centerResponseDatetime)%><br /></td>

    </tr>
<%
    }
  }
%>
  </table>

  <br/>
  <a href="./Search">検索条件へ戻る</a>&nbsp;&nbsp;

  <hr>
  <img alt="VeriTransロゴ" src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>

