package jp.veritrans.tercerog.sample.web.em;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.veritrans.tercerog.sample.util.Utils;
import jp.veritrans.tercerog.sample.web.MdkSampleBaseServlet;

/**
 * 電子マネー決済の決済結果取得画面表示クラス。
 */
public class Complete extends MdkSampleBaseServlet {
    private static final long serialVersionUID = 1L;

    /**
     * @see MdkSampleBaseServlet#doProcess
     */
    protected void doProcess(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        request.setAttribute("orderId", request.getParameter("orderId"));
        request.setAttribute("mStatus", request.getParameter("mstatus"));

        // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
        // デコード処理は行わない
        request.setAttribute("mErrMsg", request.getParameter("merrMsg"));

        request.setAttribute("vResultCode", request.getParameter("vResultCode"));
        request.setAttribute("balance", request.getParameter("balance"));
        request.setAttribute("completeDate", request.getParameter("completeDate"));
        request.setAttribute("cardNo", request.getParameter("cardNo"));
        request.setAttribute("cardBrandCode", request.getParameter("cardBrandCode"));
        request.setAttribute("cardKind", request.getParameter("cardKind"));

        forward(request, response, "./Complete.jsp");
    }
}
