package jp.veritrans.tercerog.sample.web.saison.mb;

import java.io.UnsupportedEncodingException;
import java.util.ResourceBundle;

import javax.servlet.http.HttpServletRequest;

import jp.veritrans.tercerog.sample.web.saison.base.AbstractAuthorizeExec;


/**
 * モバイル用 クレディセゾン決済処理クラス。
 */
public class AuthorizeExec extends AbstractAuthorizeExec {
    private static final long serialVersionUID = 1L;

    protected String getJsp() {
        return "./Authorize.jsp";
    }

    protected String getJspResult() {
        return "./Result.jsp";
    }

    protected String getSettlementMethod() {
        return "MB";
    }

    protected String getMerchantRedirectionUri() {
        // プロパティから
        ResourceBundle rb = ResourceBundle.getBundle("saison");
        String merchantRedirectionUri = rb.getString("merchant_redirection_uri.MB");
        return merchantRedirectionUri;
    }

    protected void setCharacterEncoding(HttpServletRequest request) throws UnsupportedEncodingException {
        request.setCharacterEncoding("Shift_JIS");
    }

}
