<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*"%>
<%
    // 処理中にエラーが発生して戻された時のエラー内容
    String warning = Utils.out((String)request.getAttribute("warning"));
    if (Utils.isNull(warning) == false) {
        warning += "<br/><br/>";
    }

    // レスポンスタイプ
    String respFlag_0 = "";
    String respFlag_1 = "";
    if ("0".equals(request.getParameter("responseType"))) {
        respFlag_0 = " selected";
    } else if ("1".equals(request.getParameter("responseType"))) {
        respFlag_1 = " selected";
    }
%>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - Alipay決済確認サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'>
    <hr />
    <div class="system-message">
        <font size="2"> 本画面はVeriTrans4G Alipay決済の確認取引サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <%=warning%>
    <table>
        <tr>
            <td>
                <div class="lhtitle">Alipay決済：確認請求</div>
            </td>
            <td>
                <img src='../WEB-IMG/alipay.png' />
            </td>
        </tr>
    </table>
    <form name="FORM_ALIPAY" method="post" action="ConfirmExec">
        <table border="0"  cellpadding="0" cellspacing="0">
            <tr>
                <td class="ititletop">取引ID</td>
                <td class="ivaluetop">
                    <input type="text" maxlength="100" size="30" name="orderId"
                        value="<%=Utils.out(request.getParameter("orderId"))%>">
                </td>
            </tr>
            <tr>
                <td class="ititle">レスポンスタイプ</td>
                <td class="ivalue">
                    <select name="responseType">
                        <option value=""></option>
                        <option value="0"<%= Utils.out(respFlag_0) %>>取引確定時にレスポンスを返却</option>
                        <option value="1"<%= Utils.out(respFlag_1) %>>即時にレスポンスを返却</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td colspan="2">&nbsp;</td>
            </tr>
            <tr>
                <td colspan="2">
                    <input type="submit" value="確認">
                    &nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
                </td>
            </tr>
        </table>
    </form>
    <a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;
    <hr>
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
