<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.mdk.*" %>
<%@ page import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  /* 金融機関一覧データ取得 */

  // 引数の設定
  SearchRequestDto requestData = new SearchRequestDto();
  requestData.setMasterNames(new String[] {"bankFinancialInstInfo"});

  // 実行
  ITransaction tran = TransactionFactory.getInstance(requestData);
  SearchResponseDto responseData = (SearchResponseDto) tran.execute();

  // 戻り値から金融機関一覧の配列を取得
  MasterInfos masterInfos = responseData.getMasterInfos();
  MasterInfo[] masterInfo = masterInfos.getMasterInfo();
  Masters masters = masterInfo[0].getMasters();
  BankFinancialInstInfo[] bankFinancials = masters.getBankFinancialInstInfo();
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <meta http-equiv="Content-Language" content="ja" />
  <title>決済金融機関一覧</title>
  <link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
  <img alt="Paymentロゴ" src="../WEB-IMG/VeriTrans_Payment.png"/><hr/>
  <div class="system-message">
  <font size="2">本画面はVeriTrans4G 決済金融機関一覧の取得サンプル画面です。<br/>お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
  </font>
  </div>
  <font size="2">
    <a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;
  </font>
  <center>
    <td><font color="#000000" size="5" >決済金融機関一覧</font></td>
    <br></br>
    <table border="1" width="500" cellspacing="0" cellpadding="5" bordercolor="#333333">
      <thead>
        <tr>
          <th bgcolor="#6495ED"><font color="#FFFFFF">銀行コード</font></th>
          <th bgcolor="#6495ED"><font color="#FFFFFF">銀行名</font></th>
        </tr>
      </thead>
<%
  // 上記ロジックで取得した金融機関一覧データの取得件数分の繰り返し処理
  // 銀行コードと銀行名を繰り返し設定していく
  for (int i = 0; i < bankFinancials.length; i++) {
    BankFinancialInstInfo info = bankFinancials[i];
    // デバイスコードが"01"のみ処理する
    if ("01".equals(info.getDeviceCode())) {
%>
      <tr>
        <td><div align="center"><%= info.getBankCode() %></div></td>
        <td><div align="left"><%= info.getBankName() %></div></td>
      </tr>
<%
    }
  }
%>
    </table>
  </center>
  <br/>
  <font size="2">
    <a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;
  </font>
  <hr>
  <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
