<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" %>

<%
  // キャリアの選択状態を判定
  String sctCarrier_docomo = "";
  String sctCarrier_au = "";
  String sctCarrier_softbank = "";
  String sctCarrier_s_sum = "";
  String sctCarrier_flets = "";
  if (MdkServiceConstants.CARRIER_DOCOMO.equals(request.getParameter("serviceOptionType"))) { sctCarrier_docomo = " selected"; }
  if (MdkServiceConstants.CARRIER_AU.equals(request.getParameter("serviceOptionType"))) { sctCarrier_au = " selected"; }
  if (MdkServiceConstants.CARRIER_SB_KTAI.equals(request.getParameter("serviceOptionType"))) { sctCarrier_softbank = " selected"; }
  if (MdkServiceConstants.CARRIER_S_BIKKURI.equals(request.getParameter("serviceOptionType"))) { sctCarrier_s_sum = " selected"; }
  if (MdkServiceConstants.CARRIER_FLETS.equals(request.getParameter("serviceOptionType"))) { sctCarrier_flets = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - キャリア決済売上サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G キャリア決済の売上取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<div class="lhtitle">キャリア決済：売上請求</div>
<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CARRIER" method="post" action="CaptureExec">
<tr>
  <td class="ititletop">キャリア選択</td>
  <td class="ivaluetop">
    <select name="serviceOptionType">
      <option value="<%=MdkServiceConstants.CARRIER_DOCOMO%>"<%= Utils.out(sctCarrier_docomo) %>>ドコモ</option>
      <option value="<%=MdkServiceConstants.CARRIER_AU%>"<%= Utils.out(sctCarrier_au) %>>au</option>
      <option value="<%=MdkServiceConstants.CARRIER_SB_KTAI%>"<%= Utils.out(sctCarrier_softbank) %>>ソフトバンクまとめて支払い（B）</option>
      <option value="<%=MdkServiceConstants.CARRIER_S_BIKKURI%>"<%= Utils.out(sctCarrier_s_sum) %>>S!まとめて支払い</option>
      <option value="<%=MdkServiceConstants.CARRIER_FLETS%>"<%= Utils.out(sctCarrier_flets) %>>フレッツまとめて支払い</option>
    </select><br/>
    <font size="2" color="red">※ソフトバンクまとめて支払い（B）：旧ソフトバンクケータイ支払い</font>
  </td>
</tr>
<tr>
  <td class="ititle">取引ID</td>
  <td class="ivalue"><input type="text" maxlength="100" size="30" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>"></td>
</tr>
<tr>
  <td class="ititle">課金売上月(YYYYMM)</td>
  <td class="ivalue" style="width:540px;"><input type="text" maxlength="6" size="7" name="captureMonth" value="<%= Utils.out(request.getParameter("captureMonth")) %>"><br/>
    <font size="2" color="red">※継続課金でドコモ・フレッツまとめて支払い・ソフトバンクまとめて支払い（B）は指定可能</font>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="売上">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../AdminMenu">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
