<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%
  // 取引ID
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String serviceOptionType_sej = "";
  String serviceOptionType_econ = "";
  String serviceOptionType_other = "";
  if ("sej".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_sej = " selected"; }
  if ("econ".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_econ = " selected"; }
  if ("other".equals(request.getParameter("serviceOptionType"))) { serviceOptionType_other = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - コンビニ決済 サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
</head>
<body>
    <script type="text/javascript">
        function reDrawing(frm, action) {
            frm.action = action;
            frm.method = "POST";
            frm.submit();
        }
    </script>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G コンビニ決済の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">コンビニ決済：決済請求</div></td>
  <td class="pcxts">
  <img src="../WEB-IMG/CVS_CirclekSunkus.jpg"/>
  <img src="../WEB-IMG/CVS_Dailyyamazaki.jpg"/>
  <img src="../WEB-IMG/CVS_Famima.jpg"/>
  <img src="../WEB-IMG/CVS_Lawson.jpg"/>
  <img src="../WEB-IMG/CVS_Ministop.jpg"/>
  <img src="../WEB-IMG/CVS_Seicomart.jpg"/>
  <img src="../WEB-IMG/CVS_SevenEleven.jpg"/>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_CVS" method="post" action="./AuthorizeExec">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="button" value="取引ID更新" onclick="reDrawing(FORM_CVS, './Authorize');"><input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"></td>
</tr>
<tr>
  <td class="ititle">決済サービスオプション</td>
  <td class="ivalue">
    <select name="serviceOptionType">
      <option value="sej"<%= Utils.out(serviceOptionType_sej) %>>セブンイレブン</option>
      <option value="econ"<%= Utils.out(serviceOptionType_econ) %>>ローソン、ファミリーマートetc</option>
      <option value="other"<%= Utils.out(serviceOptionType_other) %>>サークルKサンクス、デイリーヤマザキetc</option>
    </select>
  </td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><input type="text" maxlength="6" size="7" name="amount" value="<%= Utils.out(request.getParameter("amount")) %><%= Utils.out(request.getParameter("price")) %>"></td>
</tr>
<tr>
  <td class="ititle">姓</td>
  <td class="ivalue"><input type="text" maxlength="20" size="21" name="name1" value="<%= Utils.out(request.getParameter("name1")) %>"></td>
</tr>
<tr>
  <td class="ititle">名</td>
  <td class="ivalue"><input type="text" maxlength="20" size="21" name="name2" value="<%= Utils.out(request.getParameter("name2")) %>"></td>
</tr>
<tr>
  <td class="ititle">電話番号</td>
  <td class="ivalue"><input type="text" maxlength="13" size="14" name="telNo" value="<%= Utils.out(request.getParameter("telNo")) %>">&nbsp;&nbsp;<font size="2" color="red">※"-"(ハイフン)区切りも可能</font></td>
</tr>
<tr>
  <td class="ititle">支払期限</td>
  <td class="ivalue"><input type="text" maxlength="10" size="11" name="payLimit" value="<%= Utils.out(request.getParameter("payLimit")) %>">&nbsp;&nbsp;<font size="2" color="red">※形式：YYYYMMDD or YYYY/MM/DD</font></td>
</tr>
<tr>
  <td class="ititle">支払期限時分</td>
  <td class="ivalue"><input type="text" maxlength="5" size="6" name="payLimitHhmm" value="<%= Utils.out(request.getParameter("payLimitHhmm")) %>">&nbsp;&nbsp;<font size="2" color="red">※形式：HH:mm or HHmm</font></td>
</tr>
<tr>
  <td class="ititle">プッシュURL</td>
  <td class="ivalue">
      <input type="text" maxlength="256" size="70" name="pushUrl" value="<%= Utils.out(request.getParameter("pushUrl")) %>"><br/>
      <span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
  </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr>
  <td colspan="2"><input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
