<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" import="jp.veritrans.tercerog.mdk.dto.*" import="java.util.*" %>

<%
  // 取引IDの作成
  String order_id = "dummy" + System.currentTimeMillis();

  // 与信方法の選択状態を判定
  String sctWithCapture_0 = "";
  String sctWithCapture_1 = "";
  if (MdkServiceConstants.MASTERPASS_AUTH_ONLY.equals(request.getParameter("withCapture"))) { sctWithCapture_0 = " selected"; }
  if (MdkServiceConstants.MASTERPASS_AUTH_WITH_CAPTURE.equals(request.getParameter("withCapture"))) { sctWithCapture_1 = " selected"; }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - MasterPass与信サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">

function reDrawing(frm, action) {
    frm.action = action;
    frm.method = "POST";
    frm.submit();
}

</script>
</head>
<body onload="setDisabled();">

<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G MasterPassの取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%=warning%>


<div class="lhtitle">MasterPass Authorize<br/>(決済：決済請求)</div>

<%
if (Utils.isNull(warning) == true) {
%>
<table border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td class="rititletop">Order Id<br/>(取引ID)</td>
    <td class="rivaluetop"><%= Utils.out(request.getParameter("orderId")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Card Number<br/>(カード番号)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("cardNumber")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Name<br/>(配送先：氏名)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingName")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Phone<br/>(配送先：電話番号)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingPhone")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">City<br/>(配送先：市)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingCity")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Country<br/>(配送先：国)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingCountry")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Country Sub Division<br/>(配送先：地域)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingCountrySubdivision")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Address1<br/>(配送先：住所１)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingAddress1")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Address2<br/>(配送先：住所２)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingAddress2")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">Address3<br/>(配送先：住所３)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingAddress3")) %><br/></td>
  </tr>
  <tr>
    <td class="rititle">PostalCode<br/>(配送先：郵便番号)</td>
    <td class="rivalue"><%= Utils.out(request.getParameter("shippingPostalCode")) %><br/></td>
  </tr>

</table>
<%
}
%>

</br>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_MASTERPASS" method="post" action="./AuthorizeExec">

<input type="hidden" name="orderId" value="<%= Utils.out(request.getParameter("orderId")) %>" >

<tr>
  <td class="ititleTop">Amount<br/>(決済金額)</td>
  <td class="ivalueTop"><input type="text" maxlength="8" size="9" name="amount"></td>
</tr>

<tr>
  <td class="ititle">With or Without Capture<br/>(与信方法)</td>
  <td class="ivalue">
    <select name="withCapture">
      <option value=""></option>
      <option value="<%=MdkServiceConstants.MASTERPASS_AUTH_ONLY %>"<%= Utils.out(sctWithCapture_0) %>>Authorize Only 与信のみ(与信成功後に売上処理を行う必要があります)</option>
      <option value="<%=MdkServiceConstants.MASTERPASS_AUTH_WITH_CAPTURE %>"<%= Utils.out(sctWithCapture_1) %>>Authorize & Capture 与信売上(与信と同時に売上処理も行います)</option>
    </select>
    <br/>
  </td>
</tr>

<%
 String dummyMode = Utils.getDummyMode(application.getRealPath("/WEB-INF/classes/3GPSMDK.properties"));
%>

<input type="hidden" name="dummyMode" value="<%=dummyMode%>" >
<tr>
  <td colspan="2">&nbsp;</td>
</tr>
<tr>
  <td colspan="2"><input type="submit" value="Buy (購入)">&nbsp;&nbsp;<font size="2" color="red">※Please avoid double Click (２回以上クリックしないでください。)</font></td>
</tr>
</form>
</table>

<br>
<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
