<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="jp.veritrans.tercerog.sample.util.*" %>

<%

    String order_id = "";
    String orico_order_no = "";
    String itemName1 = "";
    String itemCount1 = "";
    String itemAmount1 = "";

    // 取引ID
    order_id = "dummy" + System.currentTimeMillis();
    // 注文番号
    orico_order_no = order_id;

    if (null == request.getParameter("itemName1")) {
      // Tomcat8で「Default URL encoding」の仕様に変更があり、デフォルト属性がUTF-8に変更
      // デコード処理は行わない
      itemName1 = request.getParameter("item1_name");
    } else {
      itemName1 = request.getParameter("itemName1");
    }

    if (null == request.getParameter("itemCount1")) {
        itemCount1 = request.getParameter("item1_quantity");
    } else {
      itemCount1 = request.getParameter("itemCount1");
    }

    if (null == request.getParameter("itemAmount1")) {
      itemAmount1 = request.getParameter("item1_price");
    } else {
      itemAmount1 = request.getParameter("itemAmount1");
    }

  // 決済中にエラーが発生して戻された時のエラー内容
  String warning = Utils.out((String) request.getAttribute("warning"));
  if (Utils.isNull(warning) == false) {
    warning += "<br/><br/>";
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - ショッピングクレジット決済画面表示サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript">
</script>
</head>
<body onload="reCalcSum();">
  <script type="text/javascript">
    function reDrawing(frm, action) {
      frm.action = action;
      frm.method = "POST";
      frm.submit();

    }

    // 価格算出
    function reCalcSum() {

      // 各商品価格を計算
      var itemAmount1 = Number(document.getElementById('itemAmount1').value);
      var itemAmount2 = Number(document.getElementById('itemAmount2').value);
      var itemAmount3 = Number(document.getElementById('itemAmount3').value);
      var itemAmount4 = Number(document.getElementById('itemAmount4').value);
      var itemAmount5 = Number(document.getElementById('itemAmount5').value);


      // 商品価格合計と支払金額合計算出
      // 送料合計
      var totalCarriage = Number(document.getElementById('totalCarriage').value);
      var totalItemAmount = itemAmount1 + itemAmount2 + itemAmount3 + itemAmount4 + itemAmount5;
      var amount = totalItemAmount + totalCarriage;
      document.getElementById('totalItemAmount').innerHTML = totalItemAmount;
      document.getElementById('HtotalItemAmount').value = totalItemAmount;
      document.getElementById('amount').innerHTML = amount;
      document.getElementById('Hamount').value = amount;
    }
  </script>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G ショッピングクレジット決済の決済サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<%= warning %>

<table>
  <tr>
    <td>
      <div class="lhtitle">ショッピングクレジット決済：画面表示</div>
    </td>
    <td>
      <img  src='../WEB-IMG/Oricosc.png' width="140" height="30"/>
    </td>
  </tr>
</table>
<form name="FORM_oricosc" method="post" action="./AuthorizeExec">
<table border="0" cellpadding="0" cellspacing="0">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><%= Utils.out(order_id) %>&nbsp;&nbsp;<input type="hidden" name="orderId" value="<%= Utils.out(order_id) %>"><input type="button"  value="取引ID更新" onclick="reDrawing(FORM_oricosc, './Authorize');"></td>
</tr>
<tr>
  <td class="ititle">注文番号</td>
  <td class="ivalue"><%= Utils.out(orico_order_no) %>&nbsp;&nbsp;<input type="hidden" name="oricoOrderNo" value="<%= Utils.out(orico_order_no) %>"></td>
</tr>
<tr>
  <td class="ititle">会員番号</td>
  <td class="ivalue"><input type="text" maxlength="20" size="20" name="userNo" value="<%= Utils.out(request.getParameter("userNo")) %>"></td>
</tr>
<tr>
  <td class="ititle">配送先郵便番号</td>
  <td class="ivalue"><input type="text" maxlength="8" size="20" name="shippingZipCode" value="<%= Utils.out(request.getParameter("shippingZipCode")) %>">&nbsp;&nbsp;<font size="2" color="red">※形式：000-0000</font></td>
</tr>
<tr>
  <td class="ititle">取扱契約番号</td>
  <td class="ivalue"><input type="text" maxlength="3" size="3" name="handlingContractNo" value="<%= Utils.out(request.getParameter("handlingContractNo")) %>"></td>
</tr>
<tr>
  <td class="ititle">契約書有無区分</td>
  <td class="ivalue"><input type="text" maxlength="1" size="1" name="contractDocumentKbn" value="<%= Utils.out(request.getParameter("contractDocumentKbn")) %>"></td>
</tr>
<tr>
  <td class="ititle">WEB申込商品ID</td>
  <td class="ivalue"><input type="text" maxlength="4" size="4" name="webDescriptionId" value="<%= Utils.out(request.getParameter("webDescriptionId")) %>"></td>
</tr>
</table>
<br/>
<font size="2" color="red">※必ず「商品１」は設定してください。</font>
<br/>
<table border="1" cellpadding="0" cellspacing="0">
  <tr>
    <th>
    <th>商品名</th>
    <th>数量</th>
    <th>商品価格(税込)</th>
  </tr>
  <tr>
    <td class="ititle">商品１</td>
    <td style="border-style:none;">
      <input type="text" name="itemName1" value="<%= Utils.out(itemName1) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" align="right" name="itemCount1" size="4" maxlength="3" value="<%= Utils.out(itemCount1) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemAmount1" size="20" maxlength="8" value="<%= Utils.out(itemAmount1) %>" id="itemAmount1" " onchange="reCalcSum()">
    </td>
  </tr>
  <tr>
    <td class="ititle">商品２</td>
    <td style="border-style:none;">
      <input type="text" name="itemName2" size="20" value="<%= Utils.out(request.getParameter("itemName2")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemCount2" size="4" maxlength="3" value="<%= Utils.out(request.getParameter("itemCount2")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemAmount2" size="20" maxlength="8" value="<%= Utils.out(request.getParameter("itemAmount2")) %>" id="itemAmount2" onchange="reCalcSum()">
    </td>
  </tr>
  <tr>
    <td class="ititle">商品３</td>
    <td style="border-style:none;">
      <input type="text" name="itemName3" size="20" value="<%= Utils.out(request.getParameter("itemName3")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemCount3" size="4" value="<%= Utils.out(request.getParameter("itemCount3")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemAmount3" size="20" maxlength="8" value="<%= Utils.out(request.getParameter("itemAmount3")) %>" id="itemAmount3" onchange="reCalcSum()">
    </td>
  </tr>
  <tr>
    <td class="ititle">商品４</td>
    <td style="border-style:none;">
      <input type="text" name="itemName4" size="20" value="<%= Utils.out(request.getParameter("itemName4")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemCount4" size="4" value="<%= Utils.out(request.getParameter("itemCount4")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemAmount4" size="20" maxlength="8" value="<%= Utils.out(request.getParameter("itemAmount4")) %>" id="itemAmount4" onchange="reCalcSum()">
    </td>
  </tr>
  <tr>
    <td class="ititle">商品５</td>
    <td style="border-style:none;">
      <input type="text" name="itemName5" size="20" value="<%= Utils.out(request.getParameter("itemName5")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemCount5" size="4" value="<%= Utils.out(request.getParameter("itemCount5")) %>">
    </td>
    <td style="border-style:none;">
      <input type="text" name="itemAmount5" size="20" maxlength="8" value="<%= Utils.out(request.getParameter("itemAmount5")) %>" id="itemAmount5" onchange="reCalcSum()">
    </td>
  </tr>
  <tr>
    <td class="ititle">商品価格合計(税込)</td>
    <td colspan="3" align="right">
      <span id="totalItemAmount">-</span>円
      <input type="hidden" name="totalItemAmount" value="0" id="HtotalItemAmount">
    </td>
  </tr>
  <tr>
    <td class="ititle">送料合計(税込)</td>
    <td colspan="3" align="right">
      <input type="text" maxlength="8" size="8" name="totalCarriage" value="<%= Utils.out(request.getParameter("totalCarriage")) %>" onchange="reCalcSum()" id="totalCarriage">
    </td>
  </tr>
  <tr>
    <td class="ititle">支払金額合計</td>
    <td colspan="3" align="right">
      <span id="amount">-</span>円
      <input type="hidden" name="amount" value="0" id="Hamount">
    </td>
  </tr>
  <tr>
    <td class="ititle">頭金</td>
    <td colspan="3" align="right">
    <input type="text" maxlength="8" size="8" name="deposit" value="<%= Utils.out(request.getParameter("deposit")) %>">
    </td>
  </tr>
</table>

<br/>
<input type="submit" value="購入">&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
<input type="hidden" name="_screen" value="Authorize">
</form>

<a href="../PaymentMethodSelect.jsp">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr>
<img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png'>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved

</body>
</html>
